View Issue Details

IDProjectCategoryView StatusLast Update
0002100Far Manager_Commonpublic2012-05-31 14:54
ReporterkirillonyAssigned To2useven10 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002100: Проблемы с запуском FAR 3 с защищённого от записи носителя
Descriptionhttp://forum.farmanager.com/viewtopic.php?f=4&t=7199
Можно в Far.exe.ini какой-нибудь ключик добавить, чтоб не было попыток записи в профиль? Ну или автоопределение этого дела - можем - пишем, нет - больше не пытаемся.
В настройках самого фара сохранение каких-либо настроек/историй отключено, однако при выходе всё равно возникает пауза с пустым чёрным окном 40-45 сек. - Far усиленно пытается сохранить что-то в профиль. Как бы это полечить?
Steps To ReproduceЗапустить фар с защищенного от записи съёмного диска (картридер+SD-карта в режиме Lock)
TagsNo tags attached.
Build2698

Activities

sdindikov

2012-05-14 16:39

developer   bugnote:0009192

Проблему можно воспроизвести если поставить R/O атрибут на папке Profile с опцией обработки подпапок. Задержка у меня возникает при запуске ~40сек, при выходе несколько секунд. при этом на создаются файлы типа *.bad

2useven10

2012-05-15 19:35

developer   bugnote:0009206

2676 - на пробу.
'far -ro' или 'ReadOnlyConfig=1' в far.exe.ini, автоопределения нет

kirillony

2012-05-16 04:19

reporter   bugnote:0009208

На первый взгляд - очень даже бодро, по сравнению с тем, как было без ключика.
Но вот что интересно - если механическая защита от записи установлена - то Фар запускается на ~1 сек дольше, чем когда она снята. Но это не очень существенно. В реальных условиях ещё потестирую..

2useven10

2012-05-16 08:44

developer   bugnote:0009209

базы истории и кэша плагинов нельзя открыть на защищённом носителе, приходится сначала копировать. но на мой взгдяд это должно занимать меньше времени. либо они большие, либо древняя машина, либо антивирус...

2useven10

2012-05-21 15:04

developer   bugnote:0009237

2679 - 'far /rw'

kirillony

2012-05-22 01:19

reporter   bugnote:0009254

far /rw - разумно было бы, если бы этот параметр перекрывал значение в far.exe.ini. Но нет, не перекрывает.

К комментарию 0009209: то, что базы истории и кэша плагинов приходится сначала копировать - это ведь параметр в far.exe.ini определяет, не? Потому что задержка 1,5-2 сек возникает, только если механическая защита от записи установлена, а ини-файл не меняется. Кроме механической защиты все остальные условия не меняются, базы небольшие, машина мощная (i2600К)

И ещё один существенный момент, если это поможет. При наличии папки профиля в папке с фаром, если фар лежит в program files с правами доступа на папки по-умолчанию (пользователь - только на чтение) и в Far.exe.ini установлено ReadOnlyConfig=1 то под Win7 запуск фара не с правами админа (просто щелчок на Far.exe) - задержка 30-45 сек. Добавление группе пользователи прав на запись на папку Profile проблему снимает. Если убрать папку Plugins - задержка уменьшается секунд на 10, но не исчезает. Если убрать папку Profile - задержки нет.

2useven10

2012-05-22 06:21

developer   bugnote:0009258

должен перекрывать, если нет - ошибка (проверю).

нет. режим readonly можно использовать и с rw-базами, просто чтобы их не менять.
а открыть базы использующие WAL на readonly носителе (не обязательно с механической защитой) нельзя, в этом случае: копирование в %TEMP%, бэкап в ':memory:'; для остальных баз - только бэкап.

проверю, но т.к. win7 - только дома, не раньше вечера...

2useven10

2012-05-23 05:13

developer   bugnote:0009260

1. far /rw -- всё работатет как нужно
2. если права только на чтение баз - вроде поправил...

2useven10

2012-05-23 05:13

developer   bugnote:0009261

2698

kirillony

2012-05-24 06:15

reporter   bugnote:0009266

Просто отлично! Теперь под админом с ReadOnlyConfig=1 фар запускается даже быстрее, чем в обычном режиме. Ну и если права только на чтение баз - тоже всё ок.
far /rw - проверил, тоже Ок.
Спасибо.
Ещё в "полевых" условиях погоняю и отпишусь...

Issue History

Date Modified Username Field Change
2012-05-14 15:11 kirillony New Issue
2012-05-14 16:39 sdindikov Note Added: 0009192
2012-05-15 19:35 2useven10 Note Added: 0009206
2012-05-15 19:35 2useven10 Assigned To => 2useven10
2012-05-15 19:35 2useven10 Status new => feedback
2012-05-16 04:19 kirillony Note Added: 0009208
2012-05-16 04:19 kirillony Status feedback => assigned
2012-05-16 08:44 2useven10 Note Added: 0009209
2012-05-21 15:04 2useven10 Note Added: 0009237
2012-05-21 15:04 2useven10 Status assigned => feedback
2012-05-22 01:19 kirillony Note Added: 0009254
2012-05-22 01:19 kirillony Status feedback => assigned
2012-05-22 06:21 2useven10 Note Added: 0009258
2012-05-23 05:13 2useven10 Note Added: 0009260
2012-05-23 05:13 2useven10 Note Added: 0009261
2012-05-23 05:13 2useven10 Status assigned => feedback
2012-05-24 06:15 kirillony Note Added: 0009266
2012-05-24 06:15 kirillony Status feedback => assigned
2012-05-31 14:54 2useven10 Build => 2698
2012-05-31 14:54 2useven10 Status assigned => closed
2012-05-31 14:54 2useven10 Resolution open => fixed
2012-05-31 14:54 2useven10 Fixed in Version => 3.0